Entendiendo el Funcionamiento de gantry-frame  

Página 1 / 2
 
Rodra
 Rodra
Honorable Member

En post anteriores se menciono este framework gantry-framework he ido a la pagina de descarga pero aparecen varias versiones.

La pregunta es si cada archivo es para crear un diseño diferente?

Citar
Respondido : 09/10/2010 7:54 am
Rodra
 Rodra
Honorable Member

He querido instalar el siguiente framework rt_gantry_j15-3.0.12-rocketlauncher.zip pero hasta el momento no me ha sido posible ya que me surge el siguiente dato "hubo un error subiendo ese archivo al servidor".

Por otro lado he instalado el gantry_joomla_framework-3.0.12.zip pero este joomla lo identifico como componente, cual es la diferencia entre el primero y el segundo?

ResponderCitar
Respondido : 09/10/2010 8:17 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

El framework Gantry funciona como componente, pero necesita de una plantilla de RocketTheme para funcionar ya que están específicamente diseñadas para este framework ya que es la base de sus plantillas.

- http://www.gantry-framework.org/

Lo propio es descargarse el pack que ya viene con el componente Gantry instalado e instalarlo como si de un Joomla! nuevo se tratase y experimentar con las plantillas que incorpora e ir probando las distintas funcionalidades, eso si, la curva inicial de conocimiento de la extensión y del framework es algo fuerte, al menos si antes no habías lidiado con este tipo de cosas, ya que no es un Artister ni se le parece (por suerte).

Revisate los vídeos que trae de documentación, sobre todo el de "Instalación" y el de "Características" son vitales para entender a lo que te enfrentas.

Otros enlaces que te recomiendo que examines a fondo son los siguientes:

http://www.rockettheme.com/blog/coding/511-gantry-framework-overview
http://www.rockettheme.com/blog/coding/512-gantry-framework-layouts
http://www.rockettheme.com/blog/coding/520-gantry-framework-body-features
http://www.rockettheme.com/blog/coding/534-gantry-framework-going-gpl

Saludos y suerte

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 09/10/2010 12:54 pm
Rodra
 Rodra
Honorable Member

He instalado rt_gantry_j15-3.0.12-bundle.tar.gz y gantry_joomla_framework-3.0.12.zip, una vez realizado esto ya puedo ver los parametros de estas herramientas en el gestor de olantillas pero cuando he querido modificar los parametros simplemente no responden pasa como si estuvieran desabilitados.

ResponderCitar
Respondido : 09/10/2010 4:45 pm

Cursos Gratuitos WordPress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

Una vez has instalado el componente (que no te aparecerá en Componentes ya que es interno del Gestor de Plantillas y específico de la plantilla "rt_gantry_j15") y tras la instalación de la plantilla, lo primero que debes hacer es poner esta por "defecto" para que se habilite y puedas trabajar con el componente.

Accedes desde el gestor de Plantillas a la plantilla "rt_gantry_j1" y veras a la derecha todas las herramientas de customización del framework para plantillas de RocketTheme.

A partir de ese momento, escoges un estilo "Presets" y empiezas a trabajar con los selectores, checkbox, etc. Los campos que aparecen como "apagados" es porque necesitan que primero marques y habilites el checkbox para que te habilite dichas funcionalidades.

Una vez realizados aquellos cambios que consideres oportunos tienes que subir arriba en la plantilla y "Guardar" o "Aplicar" para luego en el frontend recargar y ver los resultados.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 09/10/2010 7:13 pm
Rodra
 Rodra
Honorable Member

Como mencione anteriormente "he instalado rt_gantry_j15-3.0.12-bundle.tar.gz y gantry_joomla_framework-3.0.12.zip", selecciono una de las 3 plantillas que vienen en el presets pero no se selecciona ninguna.

Aparte he cambiado uno que otro parametro del checkbox y al guardalo y ver los resultados en el front end simplemente no se aplican.

Son correctos estos archivos que tengo instalados rt_gantry_j15-3.0.12-bundle.tar.gz y gantry_joomla_framework-3.0.12.zip?

ResponderCitar
Respondido : 10/10/2010 12:27 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Rodra
 Rodra
Honorable Member

Veo que en la pagina http://code.google.com/p/gantry-framework/downloads/list# se encuentran
4 templetes
2 Framework o liberias

La duda es necesario instalar los 6 archivos?

ResponderCitar
Respondido : 10/10/2010 12:37 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

NO. Para que te funcione tal como te comente en anterior pos es suficiente con instalar la plantilla y el framework (componente).

Los ficheros son:

- Plantilla: http://code.google.com/p/gantry-framework/downloads/detail?name=rt_gantry_j15-3.0.12-bundle.tar.gz&can=2&q=

- Framework (componente): http://code.google.com/p/gantry-framework/downloads/detail?name=gantry_joomla_framework-3.0.12.zip&can=2&q=

Instalas el componente, instalas la plantilla, pones la plantilla por defecto y ya tienes el componente corriendo dentro de la plantilla desde el Gestor de Plantillas editando la plantilla instalada.

Lo que si puedes hacer es instalar más plantillas que estén diseñadas para/con este framework y veras el componente habilitado en ellas si las seleccionas una vez instaladas.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 10/10/2010 1:53 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Rodra
 Rodra
Honorable Member

He creado un nuevo sistio en local y he seguido las instrucciones que mencionaste gnumax, ahora si funciono ya que ahora si responden los parametros de la plantilla ante cualquier cambio que realice.

Ahora solo tengo la duda en cuanto al error que surge (ver imagen), tal vez no sea grave y no me perjudique en este momento ya que como mencione anteriormente ahora si puedo realizar cambios pero quisiera saber como solucionarlo.

ResponderCitar
Respondido : 10/10/2010 2:18 am
Rodra
 Rodra
Honorable Member

He estado tratando de entender el funcionamiento de la plantilla grantry y algo que no me esta coincidiendo es el parametro de la fecha ya que me arroja el dato del Domingo, Octubre 10, 2010, cuando aquí en mi país todavía es sabado dia Sabado, Octubre 09, 2010 faltando 6 horas para cambiar al domingo 10 de octubre del 2010.

ResponderCitar
Respondido : 10/10/2010 3:18 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

Sobre el error que comentas "cURL is required..." decirte que las plantillas de RocketTheme necesitan de cURL para poder recuperar datos de Google y hacer funcionar los distintos módulos que se utilicen en la plantilla y la propia extensión de Gantry.

cURL es una biblioteca que esta disponible para PHP desde la versión 4.02, pero es opcional y debe ser instalada para PHP ya que no viene de facto. Los servidores normalmente la implementan en sus instalaciones Apache/PHP/MySQL pero es obvio que en tu instalación local no la tienes, de ahí el error.

Sin cURL instalado en tu PHP estos módulos serian incapaces de hacer llamadas externas HTTP a estas APIs de Google y no funcionarían.

Lo lógico como te dije es que tu proveedor provea esta funcionalidad y si no fuese así posiblemente no implemente otras funcionalidades como GD, por ejemplo, en consecuencia no merece ser tu proveedor, no al menos con Joomla!.

Una solución "temporal" para tu caso en local seria deshabilitar aquellas extensiones de RocketTheme que no consideres necesarias y que realicen este tipo de llamadas externas HTTP a las APIs de Google, con ello al menos el error debería desaparecer sin necesidad de silenciarlo.

Por curiosidad, ¿con que versión local estas trabajando XAMPP o Wampp (lo que uses) y que Joomla utilizas?

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 10/10/2010 3:51 am
Rodra
 Rodra
Honorable Member

Por curiosidad, ¿con que versión local estas trabajando XAMPP o Wampp (lo que uses) y que Joomla utilizas?

Siempre he utilizado Wampserver e instale la ultima actualizacion de Joomla 1.5.21 ya que con la version 1.5.20 que tenia no me funcionaba la plantilla de Grantry.

Datos adicionales:
PHP funcionando con: Windows NT FELIPERGUEZA 6.0 build 6002
Versión de la base de datos: 5.1.32-community-log
Cotejamiento(collation): utf8_general_ci
Versión de PHP: 5.2.9
Servidor web: Apache/2.2.11 (Win32) PHP/5.2.9
Interfaz PHP del servidor: apache2handler
Versión de Joomla!: Joomla! 1.5.21 Stable [ senu takaa ama wepulai ] 08-October-2010 18:00 GMT
Agente: Mozilla/5.0 (Windows; U; Windows NT 6.0; es-ES; rv:1.9.2.10) Gecko/20100914 Firefox/3.6.10 GTB7.1 ( .NET CLR 3.5.30729)

ResponderCitar
Respondido : 10/10/2010 4:22 am

Cursos Gratuitos WordPress

Rodra
 Rodra
Honorable Member

Me surgen algunas dudas en cuanto a esta herramienta:
El framework de Grantry trabaja en base a plantillas ya creadas?
El framework de Grantry solo se sirve para dar estilos y formato a estas plantillas ya creadas?

ResponderCitar
Respondido : 10/10/2010 5:06 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola felipergueza,

Lo primero de todo: PHP funcionando con: Windows NT FELIPERGUEZA 6.0 build 6002 <-- :S esto me ha dado escalofrios al verlo.

Tus preguntas:

El framework de Grantry trabaja en base a plantillas ya creadas?

Efectivamente, si lo que esperabas era un componente para crear tus propias plantillas Gantry (fm) no creo que sea lo adecuado, ya que trabaja en base a plantillas que implementen este framework, que si no me equivoco de momento solo lo hacen las de RocketTheme.

El framework de Grantry solo se sirve para dar estilos a estas plantillas ya creadas?

Creo que la respuesta anterior contesta "casi" esta también.

Saludos

:unsure: ¿de verdad es un NT? B)

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 10/10/2010 5:17 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Rodra
 Rodra
Honorable Member

Lo primero de todo: PHP funcionando con: Windows NT FELIPERGUEZA 6.0 build 6002 <-- esto me ha dado escalofrios al verlo.

Es la informacion que me arrojo el menu de ayuda de joomla y en cuanto al sobrenombre de FELIPERGUEZA me imagino que es la informacion que recoje wampserver de los datos internos de la computadora.
El equipo con el que trabajo es windows vista.

ResponderCitar
Respondido : 10/10/2010 5:41 am
Página 1 / 2

Por favor Iniciar Sesión o Registro